# 22. Virtuoso Functions Guide - sinv_create_inverse

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
__any_grants
close
collation_define
complete_table_name
delay
end_result
exec
exec_next
exec_result
exec_result_names
identity_value
name_part
registry_get
registry_get_all
registry_name_is_pro...
registry_remove
registry_set
result
result_names
row_count
sequence_get_all
sequence_next
sequence_remove
sequence_set
set_identity_column
set_row_count
set_user_id
signal
sinv_create_inverse
sinv_create_key_mapp...
sinv_drop_inverse
sys_stat_analyze
sys_stat_histogram
table_drop_policy
table_set_policy
username
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## sinv_create_inverse

Creates inverse mapping for the mentioned functions (as described in the doc section SQL Inverse Functions).
sinv_create_inverse (in _SINVM_NAME_IN varchar, in _SINV_INVERSE any, in _SINVM_FLAGS integer);
Parameters
_SINVM_NAME_IN – the name of the forward function
_SINV_INVERSE – an array of the names of the inverse functions (for each part).
_SINVM_FLAGS – bit mask with: [bit 0 - 1 if x > y <-> f(x) > f (y)) This is true of unit conversions in general but not true of hash functions or arbitrary id mappings. If the bit is set the function call may be optimized away if both operands of a comparison are calls to this function. If this is not set, the function calls may only be removed in the case of equality.
See Also

sinv_create_key_mapping, sinv_drop_inverse